LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XConfigurationChangeRequest Interface Reference

A single explicit request for a configuration change. More...

`import"XConfigurationChangeRequest.idl";`

## Public Member Functions
void | execute ([in] XConfiguration xConfiguration)
| Commit the configuration change request represented by the called object to the given configuration. More...

## Detailed Description

A single explicit request for a configuration change.

The requested change is committed to a configuration only when the execute() method is called. Configuration change requests are executed asynchronously. This is done to avoid reentrance problems with objects that are registered as XConfigurationChangeListener and at the same time make configuration change requests. When the requests were executed synchronously then the listeners would be notified of the changes while their request call has not yet returned.

This interface is typically used internally by the XConfigurationController

See also
  XConfigurationController

## Member Function Documentation

## ◆ execute()

void execute | ( | [in] XConfiguration | xConfiguration | ) |

Commit the configuration change request represented by the called object to the given configuration.

Parameters

  xConfiguration | This is the configuration to commit the requested change to.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XConfigurationChangeRequest.idl